Loading...
Searching...
No Matches
GasteigerState Class Reference

`#include <openbabel/molchrg.h>`

## Public Member Functions

| GasteigerState ()
| ~GasteigerState ()
void | SetValues (double _a, double _b, double _c, double _q)

## Public Attributes

double | a
double | b
double | c
double | denom
double | chi
double | q

## Detailed Description

Helper class for OBGastChrg which stores the Gasteiger states of a given atom.

## Constructor & Destructor Documentation

## GasteigerState()

GasteigerState | ( |  | ) |

## ~GasteigerState()

~GasteigerState | ( |  | ) |

inline

## Member Function Documentation

## SetValues()

void SetValues | ( | double | _a,
|  | double | _b,
|  | double | _c,
|  | double | _q )

inline

## Member Data Documentation

## a

double a

Referenced by GasteigerState(), and SetValues().

## b

double b

Referenced by GasteigerState(), and SetValues().

## c

double c

Referenced by GasteigerState(), and SetValues().

## denom

double denom

Referenced by GasteigerState(), and SetValues().

## chi

double chi

Referenced by GasteigerState().

## q

double q

Referenced by GasteigerState(), and SetValues().

The documentation for this class was generated from the following files:

- molchrg.h
- molchrg.cpp